package com.lz.modules.flow.dao;
/**
* <p>
* 流程图，lz_flow的父 服务类
* </p>
*
* @author quyixiao
* @since 2020-10-13
*/
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.modules.flow.entity.FlowChart;
import com.lz.modules.flow.model.FlowChartDto;
import com.lz.modules.flow.model.FlowChartRoleDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface FlowChartMapper extends BaseMapper<FlowChart> {


	FlowChart selectFlowChartById(@Param("id")Long id);


	Long insertFlowChart(FlowChart flowChart);


	int updateFlowChartById(FlowChart flowChart);


	int updateCoverFlowChartById(FlowChart flowChart);


	int deleteFlowChartById(@Param("id")Long id);


    List<FlowChart> selectFlowChartByFlowManagerId(@Param("id") Long id);

    List<FlowChartRoleDto> selectChartRoleByChartId(Long id);

    List<FlowChartDto> selectFlowChartDtoByFlowManagerId(Long id);

    List<FlowChart> selectFlowChartsByGroupId(Long groupId);

    List<FlowChartRoleDto> selectCanSetChartRoleByChartId(Long id);
}